Python API
==========

.. Summary

.. currentmodule:: isaacsim.robot_setup.assembler

.. autosummary::
    :nosignatures:

    RobotAssembler
    AssembledRobot
    AssembledBodies

|

.. API

.. autoclass:: isaacsim.robot_setup.assembler.RobotAssembler
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.robot_setup.assembler.AssembledRobot
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.robot_setup.assembler.AssembledBodies
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
